Kerbal Space Program - Bug #9302

Resource flow indication is reversed
04/19/2016 01:53 PM - forthur

Status: Needs Clarification Start date: 04/19/2016
Severity: Low % Done: 0%
Assignee:

Category: Controls and Ul

Target version:

Version: 1.0.5 Language: English (US)
Platform: Windows Mod Related: No
Description

In the resource panel there's a small number for each resource showing the current in/outflow. If a tank is currently losing fuel it's
indicated by a positive number (units per seconds). When a battery is being recharged, it's indicated by a negative number.

And that feels really backwards to me, and it's really counterintuitive. The first time a new player sees batteries being charged, he will
be confused - is he losing electrical charge? But then why is it increasing? Same goes for drilling ore. Showing the flow as a negative
number simply doesn't make sense if the resource is increasing.

Is there a specific reason why this has been designed this way, or is it just "we've always done it like this"?

Anyway, my suggestion would be to reverse this (inflow would be positive, outflow would be negative). It should not take much
development time, and would make things so much clearer.

Not specific to v1.0.5, but has been present for a long time.

History

#1 - 07/17/2016 09:45 AM - TriggerAu

- Status changed from New to Needs Clarification
#2 - 04/29/2018 03:50 AM - jclovis3

That fuel flow indicator is "consumption”, so positive numbers mean you are consuming fuel or electricity, and negative numbers mean you are
gaining fuel or electricity.
